package quimufu.structure_item;

import net.fabricmc.api.ModInitializer;
import net.minecraft.item.Item;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.util.Identifier;
import net.minecraft.util.Rarity;
import org.apache.logging.log4j.Level;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;


public class StructureItemMod implements ModInitializer {

    public static Logger LOGGER = LogManager.getLogger();

    public static final String MOD_ID = "structure_item";
    public static final String MOD_NAME = "Structure Item Mod (Fabric)";
    public static final Item item = new MyItem(new Item.Settings()
                    .fireproof()
                    .rarity(Rarity.RARE)
                    .maxCount(1));

    @Override
    public void onInitialize() {
        log(Level.INFO, "Initializing");
        Registry.register(Registries.ITEM, Identifier.of(MOD_ID, "item"), item);
    }

    public static void log(Level level, String message) {
        LOGGER.log(level, "[" + MOD_NAME + "] " + message);
    }

}